
QGIS Application - Bug report #3804

Georeferencer deletes active raster

2011-05-07 01:40 PM - jprouty -

Status: Closed

Priority: Low

Assignee: mmassing -

Category: C++ plugins/Georeferencer

Affected QGIS version:master Regression?: No

Operating System: Linux Easy fix?: No

Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 13862

Description

If you set the output raster to overwrite the input raster (the one that is being georeferenced) but then click cancel while the georeferencer

is reprojecting the file, the original file will end up getting deleted. This is most likely not desirable, as you end up losing your data.

Associated revisions

Revision f3d032a3 - 2015-06-21 01:45 PM - Nyall Dawson

[georef] Don't allow overwriting input raster (fix #3804)

History

#1 - 2011-05-07 02:31 PM - Borys Jurgiel

I'm reassigning it to Manuel, do you still maintain the Georeferencer?

#2 - 2011-05-15 06:08 AM - mmassing -

Ok, I think selecting the same input and output file should be disallowed, as it is to

easy to shoot oneself in the foot with such an option. I'll change that.

Thanks Borys for reassigning - I try to address georeferencer issues when I'm aware of them, although I don't always find the time to react as quickly as I'd

like to.

#3 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-16 06:27 AM - Paolo Cavallini

- Affected QGIS version set to master

- Crashes QGIS or corrupts data set to No

- Target version changed from Version 1.7.4 to Version 1.8.0

#5 - 2012-09-04 12:01 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#6 - 2014-06-28 07:40 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority
#7 - 2014-06-29 06:35 AM - Jürgen Fischer

- Category changed from C++ Plugins to C++ plugins/Georeferencer

#8 - 2015-06-21 04:46 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"f3d032a32c919aa4b267973721dd38dff6a90603".
